corda / net.corda.core.contracts / FixableDealState

# FixableDealState

`interface FixableDealState : DealState`

Interface adding fixing specific methods.

### Properties

oracleType | `abstract val oracleType: ServiceType` What oracle service to use for the fixing

### Inherited Properties

parties | `abstract val parties: List<AnonymousParty>` Exposes the Parties involved in a generic way.
ref | `abstract val ref: String` Human readable well known reference (e.g. trade reference)

### Functions

generateFix | `abstract fun generateFix(ptx: TransactionBuilder, oldState: StateAndRef<*>, fix: Fix): Unit` Generate a fixing command for this deal and fix.
nextFixingOf | `abstract fun nextFixingOf(): FixOf?` When is the next fixing and what is the fixing for?

### Inherited Functions

generateAgreement | `abstract fun generateAgreement(notary: Party): TransactionBuilder` Generate a partial transaction representing an agreement (command) to this deal, allowing a general deal/agreement flow to generate the necessary transaction for potential implementations.

### Extension Functions

hash | `fun ContractState.hash(): SecureHash` Returns the SHA-256 hash of the serialised contents of this state (not cached!)